// Places on all maps
"use strict";
// globals: document, window

var GT = GT || {};

GT.places = (function () {
    // Places on all maps
    var self = {}, m;
    self.byCoords = {};
    self.byName = {};

    self.update = function (aMap) {
        // Add map to cache
        var xy, x, y;
        for (xy in aMap.place) {
            if (aMap.place.hasOwnProperty(xy)) {
                x = parseInt(xy.split(' ')[0], 10);
                y = parseInt(xy.split(' ')[1], 10);
                // map x y
                self.byCoords[aMap.name + ' ' + xy] = {
                    map: aMap.name,
                    x: x,
                    y: y,
                    place: aMap.place[xy]
                };
                // map place
                self.byName[aMap.name + ' ' + aMap.place[xy]] = {
                    map: aMap.name,
                    x: x,
                    y: y,
                    place: aMap.place[xy]
                };
            }
        }
    };

    for (m in GT.maps) {
        if (GT.maps.hasOwnProperty(m)) {
            self.update(GT.maps[m]);
        }
    }

    return self;
}());

